Package org.mariadb.jdbc.message.client

## Interface ClientMessage

All Known Subinterfaces:
  `RedoableClientMessage`, `RedoableWithPrepareClientMessage`

All Known Implementing Classes:
  `AuthMoreRawPacket`, `BulkExecutePacket`, `ChangeDbPacket`, `ClosePreparePacket`, `ExecutePacket`, `HandshakeResponse`, `LongDataPacket`, `PingPacket`, `PreparePacket`, `QueryPacket`, `QueryWithParametersPacket`, `QuitPacket`, `ResetPacket`, `SslRequestPacket`

    public interface ClientMessage

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default int` `batchUpdateLength()`
`default boolean` `binaryProtocol()`
`default boolean` `canSkipMeta()`
`default String` `description()`
`int` `encode​(PacketWriter writer, Context context)`
`default Completion` `readPacket​(Statement stmt, int fetchSize, long maxRows, int resultSetConcurrency, int resultSetType, boolean closeOnCompletion, PacketReader reader, PacketWriter writer, Context context, ExceptionFactory exceptionFactory, ReentrantLock lock, boolean traceEnable)`

### Method Detail

#### encode

    int encode​(PacketWriter writer,
               Context context)
        throws IOException,
               SQLException

Throws:
  `IOException`
  `SQLException`

#### batchUpdateLength

    default int batchUpdateLength()

#### description

    default String description()

#### binaryProtocol

    default boolean binaryProtocol()

#### canSkipMeta

    default boolean canSkipMeta()

#### readPacket

    default Completion readPacket​(Statement stmt,
                                  int fetchSize,
                                  long maxRows,
                                  int resultSetConcurrency,
                                  int resultSetType,
                                  boolean closeOnCompletion,
                                  PacketReader reader,
                                  PacketWriter writer,
                                  Context context,
                                  ExceptionFactory exceptionFactory,
                                  ReentrantLock lock,
                                  boolean traceEnable)
                           throws IOException,
                                  SQLException

Throws:
  `IOException`
  `SQLException`